org.eclipse.core.databinding.observable.value

## Interface IVetoableValue<T>

Type Parameters:
  `T` - the type of value being observed

All Superinterfaces:
  IObservable, IObservableValue<T>

All Known Implementing Classes:
  AbstractVetoableValue, DecoratingVetoableValue

    public interface IVetoableValue<T>
    extends IObservableValue<T>

An observable value whose changes can be vetoed by listeners.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients. Clients should instead subclass one of the classes that implement this interface. Note that direct implementers of this interface outside of the framework will be broken in future releases when methods are added to this interface.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addValueChangingListener(IValueChangingListener<T> listener)`
`void` `removeValueChangingListener(IValueChangingListener<T> listener)`

### Methods inherited from interface org.eclipse.core.databinding.observable.value.IObservableValue

`addValueChangeListener, getValue, getValueType, removeValueChangeListener, setValue`

### Methods inherited from interface org.eclipse.core.databinding.observable.IObservable

`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

### Method Detail

#### addValueChangingListener

    void addValueChangingListener(IValueChangingListener<T> listener)

Parameters:
  `listener` -

#### removeValueChangingListener

    void removeValueChangingListener(IValueChangingListener<T> listener)

Parameters:
  `listener` -